Subject: read-cache-v5.c: compiler warnings

From: Ramsay Jones <[email-masked]>
Date: Sun, 19 Aug 2012 20:13:48 +0100

Hi Thomas,

Just an FYI; two out of the three gcc compilers I use (Linux, cygwin
but not MingW), issue the following warnings:

        CC read-cache-v5.o
    read-cache-v5.c: In function `write_index_v5':
    read-cache-v5.c:1011: warning: 'dir' might be used uninitialized in this function
    read-cache-v5.c:1012: warning: 'search' might be used uninitialized in this function
    read-cache-v5.c:1012: warning: 'found' might be used uninitialized in this function

[commit d2537158 ("Write index-v5", 16-08-2012)]

Normally I would take a look and offer a patch, but I haven't found time
to do so in the last 10 days. So, I'm just giving you a heads up ... ;-P

HTH

ATB,
Ramsay Jones